Revoke a pending workspace invitation
curl --request DELETE \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/invitations/{invitationId} \
--cookie acornops_cp_session=const options = {method: 'DELETE', headers: {cookie: 'acornops_cp_session='}};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/invitations/{invitationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"role": "<string>",
"status": "<string>",
"roleTemplate": {
"key": "<string>",
"displayName": "<string>",
"kind": "system",
"capabilities": [
"<string>"
],
"capabilityGroups": [
{
"key": "workspace",
"capabilities": [
"<string>"
],
"sortOrder": 123
}
],
"protected": true,
"sortOrder": 123,
"description": "<string>"
},
"token": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Workspaces and members
Revoke a pending workspace invitation
Revoke a pending workspace invitation
curl --request DELETE \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/invitations/{invitationId} \
--cookie acornops_cp_session=const options = {method: 'DELETE', headers: {cookie: 'acornops_cp_session='}};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/invitations/{invitationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"role": "<string>",
"status": "<string>",
"roleTemplate": {
"key": "<string>",
"displayName": "<string>",
"kind": "system",
"capabilities": [
"<string>"
],
"capabilityGroups": [
{
"key": "workspace",
"capabilities": [
"<string>"
],
"sortOrder": 123
}
],
"protected": true,
"sortOrder": 123,
"description": "<string>"
},
"token": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
Path Parameters
Example:
"4b930d98-add9-4924-ab26-3c16d96ec373"